## adequate 0.7.1

=== doc/Makefile ===
version = $(word 2,$(shell cd .. && dpkg-parsechangelog | grep ^Version:))

.PHONY: all
all: adequate.1

tags.desc: ../adequate
	../private/update-tags

adequate.pod: adequate.podt tags.desc ../adequate
	../private/generate-manpage > $(@).tmp
	mv $(@).tmp $(@)

%.1: %.pod
	pod2man --utf8 -c '' -r "$(*) $(version)" $(<) $(@)

.PHONY: clean
clean:
	rm -f adequate.pod *.1 *.tmp

# vim:ts=4 sw=4 noet
