## adequate 0.4.4

=== debian/changelog ===
adequate (0.4.4) unstable; urgency=low

  * Make sure that the APT hook won't fail when the package is removed but not
    purged (closes: #702904). Thanks to Andreas Beckmann for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 14 Mar 2013 17:50:28 +0100

adequate (0.4.3) unstable; urgency=low

  * Upload to unstable.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 11 Mar 2013 22:30:21 +0100

adequate (0.4.2) experimental; urgency=low

  * Skip packages that are not fully installed (closes: #701995).
    Thanks to Axel Beckert for the bug report.
  * Refactor code responsible for printing errors and warnings.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 02 Mar 2013 10:59:42 +0100

adequate (0.4.1) experimental; urgency=low

  * Update the package description.
  * Add description to the manual page.
  * Document --apt-preinst and --pending in more details.
  * Add a test suite.
    + Add DEP-8 test script.
  * Add README.source asking to change source format when forking.
  * Improve the pyshared-file-not-bytecompiled tag description.
  * Fix Python byte-compilation checks for Python < 2.6.
  * Fix Python byte-compilation checks for python-support < 0.90.
  * Improve error handling.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 21 Feb 2013 13:41:14 +0100

adequate (0.4) experimental; urgency=low

  * Detect missing versioned symbols, too.
  * Avoid running ldd against the following files:
    - files that are known not to be readable;
    - dynamic linkers;
    - files with whitespace in their names.
  * Filter package names through dpkg-query. This adds or removes architecture
    suffixes, as needed.
  * Reduce number of ldd(1) calls to at most two.

  * Add option for chroot(2)ing into another directory: --root.
  * Add option for switching user and group: --user.
  * Make the APT hook run as user ‘nobody’.

  * Make the package more portable:
    + Stop requiring multi-arch-aware dpkg. Drop versioned runtime dependency
      on dpkg.
    + Stop using IPC::Run. Drop libipc-run-perl recommendation.
    + Load debconf modules lazily.

  * Improve options parsing. Exit with error for incompatible combinations of
    options (e.g. both --pending and --all).
  * Make --help more verbose.

  * Improve the documentation:
    + Work around bug #280148 in pod2man: manual page references should be
      rendered in bold, not in italics.
    + Add a to-do list.
    + Rewrite the undefined-symbol tag description.
    + Don't repeat “Debian Policy” if a tag refers multiple policy sections.
    + Document the --help option.
  * Replace “underlinked libraries” with “undefined symbols” in the package
    description. The latter is what adequate actually detects, while the
    former might or might not be the root cause of the observed problem.
  * Make generating the POD file atomic.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 30 Jan 2013 23:46:24 +0100

adequate (0.3.1) experimental; urgency=low

  * Initial upload to Debian (closes: #698656).
  * Update years in debian/copyright.
  * Disable the APT hook. (It can be re-enabled by editing
    /etc/apt/apt.conf.d/20adequate).
  * Improve error handling.
  * Improve the documentation.
  * Rebuild the documentation from source.
  * Add Vcs-* and Homepage fields.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 22 Jan 2013 23:30:21 +0100

adequate (0.3) unstable; urgency=low

  * Improve the documentation.
  * Remove some no-op code.
  * Check for undefined symbols.
  * Add libipc-run-perl to Recommends (needed for the new check).
  * Update the package description.
  * Bump standards version to 3.9.4 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 21 Jan 2013 20:25:37 +0100

adequate (0.2.1) unstable; urgency=low

  * Don't expect third-party Python 2.X modules to be byte-compiled if the
    corresponding Python version is not installed.
  * Print symlink target when reporting broken symlink.
  * Provide a manual page.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 14 Sep 2012 17:32:13 +0200

adequate (0.2) unstable; urgency=low

  * Don't complain about .py files in /usr/lib/debug/usr/bin/ etc.
  * Don't complain about .py files in /usr/games/.
  * Check for /bin and /sbin binaries requiring /usr/lib libraries.
  * Reduce number of dpkg -L calls to one.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 03 Sep 2012 20:27:04 +0200

adequate (0.1.1) unstable; urgency=low

  * Don't store ambiguous package names (for Multi-Arch: same packages) in
    /var/lib/adequate/pending.
  * Don't complain about .py files in /etc that are not byte-compiled.
  * Don't complain about .py files within standard libraries of alternative
    Python interpreters (jython, pypy) that are not byte-compiled.
  * Check byte-compilation of files in /usr/share/pyshared/ and
    /usr/share/python-support/.
  * Fix emitting messages longer than 2 lines via debconf.
  * Don't put colon between tag name and extra information.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 11 Aug 2012 18:51:40 +0200

adequate (0.1) unstable; urgency=low

  * Initial release.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 02 Aug 2012 21:19:14 +0200
