=== debian/control ===
Source: adequate
Section: utils
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7),
 python3 (>= 3.2), python3-apt
Standards-Version: 3.9.4
Vcs-Hg: https://bitbucket.org/jwilk/adequate
Vcs-Browser: https://bitbucket.org/jwilk/adequate
Homepage: http://jwilk.net/software/adequate

Package: adequate
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, perl (>= 5.12), debconf
Description: Debian package quality testing tool
 adequate checks packages installed on the system and reports bugs and policy
 violations.
 .
 The following checks are currently implemented:
  * broken symlinks;
  * missing copyright file;
  * obsolete conffiles;
  * Python modules not byte-compiled;
  * /bin and /sbin binaries requiring /usr/lib libraries;
  * undefined symbols.
