=== debian/rules ===
#!/usr/bin/make -f

.PHONY: clean
clean:
	$(MAKE) -C doc/ clean
	dh_testdir
	dh_clean

.PHONY: build build-arch build-indep
build: build-indep
build-indep:
	$(MAKE) -B -C doc/

.PHONY: binary binary-arch binary-indep

binary: binary-indep
binary-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	dh_installman doc/*.1
	dh_perl
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet
