=== tests/testpkg/debian/control ===
Source: adequate-testpkg
Section: misc
Priority: extra
Maintainer: Jakub Wilk <jwilk@debian.org>
Build-Depends: debhelper (>= 7), python2.7
Standards-Version: 3.9.4

Package: adequate-testpkg-bin-or-sbin-binary-requires-usr-lib-library
Architecture: any
Description: adequate test package; do not install
  bin-or-sbin-binary-requires-usr-lib-library /bin/adequate-usrlib1 => /usr/lib/libadequate-usrlib.so.0
  bin-or-sbin-binary-requires-usr-lib-library /sbin/adequate-usrlib2 => /usr/lib/libadequate-usrlib.so.0

Package: adequate-testpkg-broken-symlink
Architecture: all
Description: adequate test package; do not install
  broken-symlink /usr/share/adequate/test-broken-symlink -> /this/file/does/not/exist

Package: adequate-testpkg-missing-copyright-file
Architecture: all
Description: adequate test package; do not install
  missing-copyright-file /usr/share/doc/adequate-testpkg-missing-copyright-file/copyright

Package: adequate-testpkg-obsolete-conffile
Architecture: all
Description: adequate test package; do not install
  obsolete-conffile /etc/adequate/test-obsolete-conffile

Package: adequate-testpkg-py-file-not-bytecompiled
Architecture: all
Depends: python2.7
Description: adequate test package; do not install
  py-file-not-bytecompiled /usr/lib/python2.7/dist-packages/adequate/test_no_pyc.py

Package: adequate-testpkg-pyshared-file-not-bytecompiled
Architecture: all
Description: adequate test package; do not install
  pyshared-file-not-bytecompiled /usr/share/pyshared/adequate/test_pyshared_no_pyc.py

Package: adequate-testpkg-undefined-symbol
Architecture: any
Description: adequate test package; do not install
  undefined-symbol /usr/bin/adequate-test-us1 => this_symbol_might_be_undefined
  undefined-symbol /usr/bin/adequate-test-us2 => this_symbol_might_be_undefined@ADEQUATE_TEST (libadequate-test-versioning.so.0)
