## adequate 0.7.1

=== debian/changelog ===
adequate (0.7.1) unstable; urgency=low

  * When checking ELFs, skip unresolvable symlinks (closes: #709484, #716988).
    Thanks to Laurent Bonnaud and Peter Karbaliotis for the bug reports.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 16 Jul 2013 15:37:13 +0200

adequate (0.7) unstable; urgency=low

  * Check if Python modules in /usr/lib/pypy/ are byte-compiled
    (closes: #710021).
  * Check for binaries linked to libraries with incompatible licenses.
    Currently only licenses of the following libraries are recognized:
    OpenSSL, GnuTLS, Poppler, and GNU Readline.
  * Remove a duplicate label.
    Thanks to Niels Thykier for the bug report.
  * Silence “skipping <pkgname> because it's not installed” warnings
    (closes: #712446).
    Thanks to Paul Wise for the bug report.
  * Add a section about reporting bugs to the manual page.
  * Update the package description.
  * Add “XS-Testsuite: autopkgtest”.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 25 Jun 2013 00:25:26 +0200

adequate (0.6) unstable; urgency=low

  * Improve error handling when resolving symlinks (see bug #709484).
  * Improve error handling when accessing /var/lib/adequate/pending.
  * Add the --tags option (closes: #709372).
  * Assume that executable .py files in private directories that start with
    shebangs are scripts, rather than Python modules, and therefore don't
    require bytecompilation (closes: #709192).
  * Disable warnings about use of smartmatch (closes: #710063).
  * Add a minimal build-time test that verifies that adequate runs
    successfully and without warnings on a simple package (coreutils).
    + Add “perl (>= 5.12)” to Build-Depends.
  * Unset all LD_* environment variables when running ldd.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 29 May 2013 22:25:59 +0200

adequate (0.5.3) unstable; urgency=low

  * Make the obsolete conffile check work with pre-multi-arch dpkg.
  * Don't consider a conffile obsolete if dpkg-query lists it as non-obsolete
    and belonging to a different package (closes: #708588). This is a
    work-around for dpkg bug #645849.
  * Don't complain about /usr/lib/pythonX.Y/__phello__.foo.py not being
    byte-compiled.
  * Don't complain about .py files in /usr/share/apport/package-hooks/ not
    being byte-compiled (closes: #709187).

 -- Jakub Wilk <jwilk@debian.org>  Tue, 21 May 2013 21:10:41 +0200

adequate (0.5.2) unstable; urgency=low

  * Don't use dh_testdir; instead, use makefile rules to ensure that
    debian/rules can be only run in the correct directory.
  * Whitelist ps_* symbols in libthread_db-*.so libraries when checking for
    undefined symbols.
  * Improve diagnostics when ldd fails (closes: #706915).
    Thanks to Paul Wise for the bug report.
  * Find more undefined versioned symbols.
  * Make --pending ignore dpkg-query exit code (closes: #707080). This is
    needed because packages listed in /var/lib/adequate/pending might have
    been removed in the mean time.
    Thanks to Paul Wise for the bug report.
  * Don't complain about missing .pyc in /usr/lib/python2.X/dist-packages/ if
    2.X is not a supported Python version (closes: #707614).
  * Don't complain about missing .pyc in /usr/lib/python3/dist-packages/ if
    no supported Python 3 version is installed.
  * Clean tests/ subdirectory in the clean target.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 10 May 2013 12:39:39 +0200

adequate (0.5.1) unstable; urgency=low

  * Update the package description.
  * Disable the unicode_strings Perl feature.
  * Improve the manual page:
    + Call “Debian Python Policy” simply “Python Policy”.
    + Add links to Debian Policy and Python Policy.
    Thanks to Shirish Agarwal for the bug report.
  * Handle diversions correctly (closes: #706107).
    Thanks to Ben Hutchings for the bug report.
  * Fix Restrictions field in debian/tests/control. (The items should be
    space-separated, rather than comma-separated.)

 -- Jakub Wilk <jwilk@debian.org>  Wed, 24 Apr 2013 21:57:35 +0200

adequate (0.5) unstable; urgency=low

  * When looking for /(s)bin binaries, don't skip symlinks that point outside
    /(s)bin.
  * When looking for public executables and shared libraries, don't skip
    symlinks that point to directories that wouldn't normally be checked.
  * Check for binaries linked to libraries that cannot be found.
  * Change Debconf prompt priority to critical.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 04 Apr 2013 22:09:12 +0200
