=== debian/control ===
--- 
+++ 
@@ -3,11 +3,13 @@
 Priority: optional
 Maintainer: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7),
+ perl (>= 5.12),
  python3 (>= 3.2), python3-apt
 Standards-Version: 3.9.4
 Vcs-Hg: https://bitbucket.org/jwilk/adequate
 Vcs-Browser: https://bitbucket.org/jwilk/adequate
 Homepage: http://jwilk.net/software/adequate
+XS-Testsuite: autopkgtest
 
 Package: adequate
 Architecture: all
@@ -22,4 +24,5 @@
   * obsolete conffiles;
   * Python modules not byte-compiled;
   * /bin and /sbin binaries requiring /usr/lib libraries;
-  * undefined symbols.
+  * missing libraries and undefined symbols;
+  * license conflicts.
