=== tests/testpkg/debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 build-stamp:
 	mkdir -p $(tmp)
+	# bin-or-sbin-binary-requires-usr-lib-library; library-not-found
 	$(CC) lib.c -fPIC -shared -Wl,-soname,libadequate-lib.so.0 -o $(tmp)/libadequate-lib.so.0
 	ln -sf libadequate-lib.so.0 $(tmp)/libadequate-lib.so
 	$(CC) lib.c -fPIC -shared -Wl,-soname,libadequate-usrlib.so.0 -o $(tmp)/libadequate-usrlib.so.0
@@ -20,11 +21,17 @@
 	cd $(tmp) && seq 2 5 | xargs -t -I {} ln -f adequate-lib1 adequate-lib{}
 	$(CC) prog.c -L$(tmp) -ladequate-usrlib -o $(tmp)/adequate-usrlib1
 	cd $(tmp) && seq 2 5 | xargs -t -I {} ln -f adequate-usrlib1 adequate-usrlib{}
+	# incompatible-licenses
+	$(CC) lib.c -fPIC -shared -Wl,-soname,libssl.so.1.0.0 -o $(tmp)/libssl.so
+	$(CC) lib.c -fPIC -shared -Wl,-soname,libreadline.so.6 -o $(tmp)/libreadline.so
+	$(CC) prog.c -L$(tmp) -lssl -lreadline -o $(tmp)/adequate-license-conflict
+	# undefined-symbol
 	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 -Wl,--version-script=verscript-global lib.c -o $(tmp)/lib$(at)-versioning.so.0
 	ln -sf lib$(at)-versioning.so.0 $(tmp)/lib$(at)-versioning.so
 	$(CC) undef.c -fPIE -Wl,--unresolved-symbols,ignore-all -L$(tmp) -o $(tmp)/$(at)-us1
 	$(CC) undef.c -fPIE -Wl,--unresolved-symbols,ignore-all -L$(tmp) -o $(tmp)/$(at)-us2 -l$(at)-versioning
 	$(CC) -shared -Wl,--soname=lib$(at)-versioning.so.0 -Wl,--version-script=verscript-local lib.c -o $(tmp)/lib$(at)-versioning.so.0
+	# adequate-testpkg-py-file-not-bytecompiled; adequate-testpkg-pyshared-file-not-bytecompiled
 	cp *.py debian/tmp/
 	python2.7 -m compileall debian/tmp/
 	touch $(@)
