=== debian/tests/control ===
Tests: adequate
Depends: adequate,
 build-essential, debhelper,
 python3 (>= 3.2), python3-apt,
 python2.7
Restrictions: breaks-testbed needs-root
