=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -16,6 +16,16 @@
 Description: adequate test package; do not install
   broken-symlink /usr/share/adequate/test-broken-symlink -> /this/file/does/not/exist
 
+Package: adequate-testpkg-library-not-found
+Architecture: all
+Description: adequate test package; do not install
+  library-not-found /bin/adequate-lib1 => libadequate-lib.so.0
+
+Package: adequate-testpkg-incompatible-licenses
+Architecture: all
+Description: adequate test package; do not install
+  incompatible-licenses /usr/bin/adequate-license-conflict OpenSSL (libssl.so.1.0.0) + GPLv3+ (libreadline.so.6)
+
 Package: adequate-testpkg-missing-copyright-file
 Architecture: all
 Description: adequate test package; do not install
@@ -28,12 +38,13 @@
 
 Package: adequate-testpkg-py-file-not-bytecompiled
 Architecture: all
-Depends: python2.7
+Depends: python (>= 2.7), python (<< 2.8)
 Description: adequate test package; do not install
   py-file-not-bytecompiled /usr/lib/python2.7/dist-packages/adequate/test_no_pyc.py
 
 Package: adequate-testpkg-pyshared-file-not-bytecompiled
 Architecture: all
+Depends: python
 Description: adequate test package; do not install
   pyshared-file-not-bytecompiled /usr/share/pyshared/adequate/test_pyshared_no_pyc.py
