## adequate 0.8.2

=== debian/changelog ===
adequate (0.8.2) unstable; urgency=low

  * Improve the manual page:
    + Fix hyphens used as minus signs.
    + Add examples (closes: #726152)
      Thanks to Shirish Agarwal for the bug report.
  * Don't complain about files in /usr/share/paster_templates/ not being
    byte-compiled.
  * Fix reporting incompatible-licenses, and other ELF-related tags, against
    wrong package (closes: #729031).
  * Fix incorrect implementation of --tags for ELF-related tags.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 05 Dec 2013 10:04:22 +0100

adequate (0.8.1) unstable; urgency=medium

  * Fix possible privilege escalation via tty hijacking (CVE-2013-6409,
    closes: #730691).
    + Switch users only when running ldd.
    + Run ldd with stdin redirected to /dev/null, and without controlling
      terminal when run with reduced privileges.
  * Bump standards version to 3.9.5 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 28 Nov 2013 11:27:21 +0100

adequate (0.8) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - missing-symbol-version-information
      - symbol-size-mismatch

  * When printing warnings from ldd, avoid outputting binary name twice.
  * Check for symbol size mismatches.
  * Check for missing version information.
  * Report symbol issues with libraries in private directories (when they can
    be triggered by running ldd against binaries or libraries in public
    directories).
  * Add license information for libpoppler.so.37.
  * Don't complain about missing lua_* and luaL_* symbols in liblua* libraries.
  * Add “Summary of tag changes” sections to old changelog entries.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 16 Sep 2013 13:27:06 +0200
