=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 7),
  perl (>= 5.12),
  python3 (>= 3.2), python3-apt
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Hg: https://bitbucket.org/jwilk/adequate
 Vcs-Browser: https://bitbucket.org/jwilk/adequate
 Homepage: http://jwilk.net/software/adequate
@@ -24,5 +24,5 @@
   * obsolete conffiles;
   * Python modules not byte-compiled;
   * /bin and /sbin binaries requiring /usr/lib libraries;
-  * missing libraries and undefined symbols;
+  * missing libraries, undefined symbols, symbol size mismatches;
   * license conflicts.
