=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -31,6 +31,11 @@
 Description: adequate test package; do not install
   missing-copyright-file /usr/share/doc/adequate-testpkg-missing-copyright-file/copyright
 
+Package: adequate-testpkg-missing-symbol-version-information
+Architecture: all
+Description: adequate test package; do not install
+  missing-symbol-version-information /usr/bin/adequate-test-msvi => /usr/lib/libadequate-test-versionless.so.0
+
 Package: adequate-testpkg-obsolete-conffile
 Architecture: all
 Description: adequate test package; do not install
@@ -48,6 +53,11 @@
 Description: adequate test package; do not install
   pyshared-file-not-bytecompiled /usr/share/pyshared/adequate/test_pyshared_no_pyc.py
 
+Package: adequate-testpkg-symbol-size-mismatch
+Architecture: any
+Description: adequate test package; do not install
+  symbol-size-mismatch /usr/bin/adequate-test-symsize => this_symbol_size_varies
+
 Package: adequate-testpkg-undefined-symbol
 Architecture: any
 Description: adequate test package; do not install
