## adequate 0.9.1ubuntu1

=== doc/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	mv $(@).tmp $(@)
 
 %.1: %.pod
-	pod2man --utf8 -c '' -r "$(*) $(version)" $(<) $(@)
+	pod2man --utf8 -c '' -q none -r "$(*) $(version)" $(<) $(@)
 
 .PHONY: clean
 clean:
