=== tests/Makefile ===
--- 
+++ 
@@ -1,18 +1,21 @@
+arch = $(shell dpkg-architecture -qDEB_HOST_ARCH)
+changes = adequate-testpkg_1_$(arch).changes
+
 .PHONY: all
-all: adequate-testpkg_1_i386.changes
+all: $(changes)
 	$(info Run "make run" as root.)
 	$(info Alternatively, if you have user-mode-linux installed, you can try "make run-uml" as normal user.)
 	$(info )@:
 
-adequate-testpkg_1_i386.changes:
+$(changes):
 	cd testpkg && dpkg-buildpackage -b -us -uc
 
 .PHONY: run
-run: adequate-testpkg_1_i386.changes
+run: $(changes)
 	./run-tests $(<)
 
 .PHONY: run-uml
-run-uml: adequate-testpkg_1_i386.changes
+run-uml: $(changes)
 	fallocate -l 1G uml-guest-swap
 	setsid linux init=$(CURDIR)/uml-guest-init \
 		$(shell printf '%s' '$(CURDIR)' | base64 -w0 | tr = _) \
