=== debian/changelog ===
adequate (0.9.1ubuntu1) trusty; urgency=medium

  * Merge with Debian unstable. Remaining Ubuntu changes:
    - debian/tests/control: Drop "breaks-testbed" restriction. Our
      "adt-virt-null in qemu" runner does not support that, but we want to run
      the test anyway.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 19 Dec 2013 08:40:33 +0100

adequate (0.9.1) unstable; urgency=low

  * Update the package description.
  * Improve the test suite:
    + Fix Architecture fields of test packages.
    + Don't hardcode the i386 architecture (closes: #732448). Thanks to Martin
      Pitt for the bug report and the initial patch.
    + Fix DEP-8 test dependencies.
    + Fix test failures with ld that defaults to --as-needed. Thanks to Martin
      Pitt for the bug report and the patch.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 18 Dec 2013 09:25:29 +0100

adequate (0.9) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - program-name-collision
      - missing-alternative

  * Add license information for libgmp.so.10 and libltdl.so.7.
  * Check for program name collisions.
  * Check if providers of x-terminal-emulator and x-window-manager register
    required alternatives.
  * Test runner: don't expect deterministic order of emitted tags.
  * Improve error handling.
  * Tidy up the code. Thanks, perlcritic.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 16 Dec 2013 14:16:11 +0100
