=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: adequate
 Section: utils
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jakub Wilk <jwilk@debian.org>
 Build-Depends: debhelper (>= 7),
  perl (>= 5.12),
  python3 (>= 3.2), python3-apt
@@ -25,4 +26,6 @@
   * Python modules not byte-compiled;
   * /bin and /sbin binaries requiring /usr/lib libraries;
   * missing libraries, undefined symbols, symbol size mismatches;
-  * license conflicts.
+  * license conflicts;
+  * program name collisions;
+  * missing alternatives.
