=== debian/rules ===
--- 
+++ 
@@ -1,21 +1,26 @@
 #!/usr/bin/make -f
 
 .PHONY: clean
-clean:
+clean: doc/Makefile tests/Makefile
 	$(MAKE) -C doc/ clean
-	dh_testdir
-	dh_clean
+	$(MAKE) -C tests/ clean
+	dh_clean debian/build-stamp
 
 .PHONY: build build-arch build-indep
 build: build-indep
-build-indep:
+build-indep: debian/build-stamp
+	
+debian/build-stamp: doc/Makefile adequate
 	$(MAKE) -B -C doc/
+ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
+	./adequate coreutils 2>&1 | ( ! grep . )
+endif
+	touch $(@)
 
 .PHONY: binary binary-arch binary-indep
 
 binary: binary-indep
-binary-indep:
-	dh_testdir
+binary-indep: build-indep
 	dh_testroot
 	dh_prep
 	dh_installdirs
