=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -17,14 +17,21 @@
   broken-symlink /usr/share/adequate/test-broken-symlink -> /this/file/does/not/exist
 
 Package: adequate-testpkg-library-not-found
-Architecture: all
+Architecture: any
 Description: adequate test package; do not install
   library-not-found /bin/adequate-lib1 => libadequate-lib.so.0
 
 Package: adequate-testpkg-incompatible-licenses
-Architecture: all
+Architecture: any
 Description: adequate test package; do not install
   incompatible-licenses /usr/bin/adequate-license-conflict OpenSSL (libssl.so.1.0.0) + GPLv3+ (libreadline.so.6)
+
+Package: adequate-testpkg-missing-alternative
+Architecture: all
+Provides: x-terminal-emulator, x-window-manager
+Description: adequate test package; do not install
+  missing-alternative x-terminal-emulator
+  missing-alternative x-window-manager
 
 Package: adequate-testpkg-missing-copyright-file
 Architecture: all
@@ -32,7 +39,7 @@
   missing-copyright-file /usr/share/doc/adequate-testpkg-missing-copyright-file/copyright
 
 Package: adequate-testpkg-missing-symbol-version-information
-Architecture: all
+Architecture: any
 Description: adequate test package; do not install
   missing-symbol-version-information /usr/bin/adequate-test-msvi => /usr/lib/libadequate-test-versionless.so.0
 
@@ -40,6 +47,11 @@
 Architecture: all
 Description: adequate test package; do not install
   obsolete-conffile /etc/adequate/test-obsolete-conffile
+
+Package: adequate-testpkg-program-name-collision
+Architecture: all
+Description: adequate test package; do not install
+  program-name-collision /usr/games/true /bin/true
 
 Package: adequate-testpkg-py-file-not-bytecompiled
 Architecture: all
@@ -61,5 +73,3 @@
 Package: adequate-testpkg-undefined-symbol
 Architecture: any
 Description: adequate test package; do not install
-  undefined-symbol /usr/bin/adequate-test-us1 => this_symbol_might_be_undefined
-  undefined-symbol /usr/bin/adequate-test-us2 => this_symbol_might_be_undefined@ADEQUATE_TEST (libadequate-test-versioning.so.0)
