## adequate 0.11.3~bpo70+1

=== debian/changelog ===
adequate (0.11.3~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Add myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Thu, 23 Jan 2014 19:23:19 +0100

adequate (0.11.3) unstable; urgency=medium

  * Brown paper bag release.
  * Fix false positive missing-alternative when there is more than one
    provider of the tested virtual package. Thanks to James McCoy for the bug
    report and the inital patch.
  * Add license information for libpoppler.so.43 (seen in Ubuntu).
  * Force gzip for tarball compression.
  * Bump minimum required version of Perl to 5.14.
    Perl 5.14 features have been used since adequate 0.10.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 17 Jan 2014 19:15:40 +0100

adequate (0.11.2) unstable; urgency=low

  * Fix license information for GnuTLS.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 12 Jan 2014 18:51:27 +0100

adequate (0.11.1) unstable; urgency=low

  * Brown paper bag release.
  * Fix false positive broken-binfmt-interpreter.
  * Tidy up the code. Thanks, perlcritic.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 10 Jan 2014 15:31:08 +0100

adequate (0.11) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - broken-binfmt-detector
      - broken-binfmt-interpreter

  * Check for broken binfmt interpreters and detectors.
  * Update the package description.
  * Fix a typo in the manual page (closes: #734692).
    Thanks to Shirish Agarwal for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 09 Jan 2014 23:41:45 +0100

adequate (0.10) unstable; urgency=low

  * Don't strip architecture qualifiers when reporting missing copyright files
    in “Multi-Arch: same” packages.
  * Extract license information from machine-readable copyright files.
  * Don't complain about scripts in /usr/lib/pythonX.Y/config-*/ not being
    byte-compiled.
  * Don't complain about program name collisions between molly-guard and
    sysvinit(-core). Thanks to Thorsten Glaser for the bug report.
  * Don't complain about program name collision between safe-rm and coreutils.
  * Tidy up the code. Thanks, perlcritic.

 -- Jakub Wilk <jwilk@debian.org>  Fri, 27 Dec 2013 17:48:30 +0100
