=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: adequate
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Jakub Wilk <jwilk@debian.org>
+Uploaders: Holger Levsen <holger@debian.org>
 Build-Depends: debhelper (>= 7),
- perl (>= 5.12),
+ perl (>= 5.14),
  python3 (>= 3.2), python3-apt
 Standards-Version: 3.9.5
 Vcs-Hg: https://bitbucket.org/jwilk/adequate
@@ -14,7 +14,7 @@
 
 Package: adequate
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, perl (>= 5.12), debconf
+Depends: ${misc:Depends}, ${perl:Depends}, perl (>= 5.14), debconf
 Description: Debian package quality testing tool
  adequate checks packages installed on the system and reports bugs and policy
  violations.
@@ -28,4 +28,5 @@
   * missing libraries, undefined symbols, symbol size mismatches;
   * license conflicts;
   * program name collisions;
-  * missing alternatives.
+  * missing alternatives;
+  * missing binfmt interpreters and detectors.
