=== debian/tests/control ===
Tests: adequate
Depends: adequate,
 build-essential, debhelper,
 python3 (>= 3.2), python3-apt,
 python (>= 2.7), python (<< 2.8)
Restrictions: breaks-testbed needs-root
