## adequate 0.11.6~bpo70+1

=== debian/changelog ===
adequate (0.11.6~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Add myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Mon, 12 May 2014 08:28:00 +0000

adequate (0.11.6) unstable; urgency=medium

  * Fix a typo in the --help message.
  * Improve the test suite:
    + Don't use APT for package installation, but manually call dpkg. This
      greatly reduces memory usage and improves speed.
    + If a package installation failed, don't try to upgrade newer versions of
      the same package.
    + Improve error handling.
  * Fix license information for libgmp.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 20 Apr 2014 20:06:53 +0200

adequate (0.11.5) unstable; urgency=low

  * DEP-8 tests: add a smoke test, which can be run without any restrictions.
  * Use the smoke test also at build time.
  * Add license information for libpoppler.so.44.
  * Update year range in the copyright file.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 03 Mar 2014 13:44:14 +0100

adequate (0.11.4) unstable; urgency=low

  * Use dh-buildinfo.
  * Add the --version option. Thanks to Holger Levsen for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 25 Jan 2014 23:19:34 +0100
