=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -25,6 +25,11 @@
 Architecture: any
 Description: adequate test package; do not install
   incompatible-licenses /usr/bin/adequate-license-conflict OpenSSL (libssl.so.1.0.0) + GPLv3+ (libreadline.so.6)
+
+Package: adequate-testpkg-incompatible-licenses-dep5
+Architecture: any
+Description: adequate test package; do not install
+  incompatible-licenses /usr/bin/adequate-license-conflict-dep5 GPLv2 + GPLv3+ (libreadline.so.6)
 
 Package: adequate-testpkg-missing-alternative
 Architecture: all
@@ -68,8 +73,3 @@
 Package: adequate-testpkg-symbol-size-mismatch
 Architecture: any
 Description: adequate test package; do not install
-  symbol-size-mismatch /usr/bin/adequate-test-symsize => this_symbol_size_varies
-
-Package: adequate-testpkg-undefined-symbol
-Architecture: any
-Description: adequate test package; do not install
