## adequate 0.12~bpo70+1

=== tests/Makefile ===
--- 
+++ 
@@ -17,12 +17,11 @@
 .PHONY: run-uml
 run-uml: $(changes)
 	fallocate -l 1G uml-guest-swap
-	setsid linux init=$(CURDIR)/uml-guest-init \
+	linux init=$(CURDIR)/uml-guest-init \
 		$(shell printf '%s' '$(CURDIR)' | base64 -w0 | tr = _) \
 		$(shell printf '%s' '$(<)' | base64 -w0 | tr = _) \
 		rootfstype=hostfs ubd0=uml-guest-swap mem=128M quiet con=null,fd:1 \
-	| sed '/: adequate tests succeeded :/ q 100'; \
-	[ $$? -eq 100 ]
+	| cat
 
 .PHONY: clean
 clean:
