=== debian/changelog ===
adequate (0.12~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Add myself to uploaders. 

 -- Holger Levsen <holger@debian.org>  Wed, 06 Aug 2014 11:10:33 +0200

adequate (0.12) unstable; urgency=low

  * Exclude /usr/lib/pythonX.Y/lib2to3/tests/data/ and
    /usr/lib/pythonX.Y/test/bad* from byte-compilation checks.
  * Check for collisions between executables and bash builtin commands.
  * Use HTTPS URLs when they are available, in documentation and code.
  * Simplify error handling.
  * Test suite: fix compatibility with dpkg (>= 1.17.7).

 -- Jakub Wilk <jwilk@debian.org>  Mon, 07 Jul 2014 22:41:34 +0200
