=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jakub Wilk <jwilk@debian.org>
 Uploaders: Holger Levsen <holger@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 7), dh-buildinfo,
  perl (>= 5.14),
  python3 (>= 3.2), python3-apt
 Standards-Version: 3.9.5
