=== tests/testpkg/debian/rules ===
--- 
+++ 
@@ -67,7 +67,10 @@
 	dh_builddeb
 	rm debian/adequate-testpkg-obsolete-conffile/etc/adequate/test-obsolete-conffile
 	sed -i -e '/test-obsolete/d' debian/adequate-testpkg-obsolete-conffile/DEBIAN/conffiles
-	dh_gencontrol -p adequate-testpkg-obsolete-conffile -- -v2
+	cp -f debian/files debian/files.orig
+	dh_gencontrol -p adequate-testpkg-obsolete-conffile -- -v2 -fdebian/files2
+	cat debian/files2 >> debian/files
+	rm -f debian/files2
 	dh_md5sums -p adequate-testpkg-obsolete-conffile
 	dh_builddeb -p adequate-testpkg-obsolete-conffile
