=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,7 @@
-Tests: adequate
+Tests: smoke-test
+Depends: adequate
+
+Tests: full-test
 Depends: adequate,
  build-essential, debhelper,
  python3 (>= 3.2), python3-apt,
