=== tests/testpkg/debian/control ===
--- 
+++ 
@@ -56,6 +56,7 @@
 Package: adequate-testpkg-program-name-collision
 Architecture: all
 Description: adequate test package; do not install
+  program-name-collision /usr/games/true (bash builtin command)
   program-name-collision /usr/games/true /bin/true
 
 Package: adequate-testpkg-py-file-not-bytecompiled
@@ -72,4 +73,3 @@
 
 Package: adequate-testpkg-symbol-size-mismatch
 Architecture: any
-Description: adequate test package; do not install
