## adequate 0.12.1

=== debian/changelog ===
adequate (0.12.1) unstable; urgency=medium

  * Fix “keys/push on reference is experimental” warnings (closes: #758306).
    Thanks to Axel Beckert for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 16 Aug 2014 19:07:55 +0200
