=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: utils
 Priority: optional
 Maintainer: Jakub Wilk <jwilk@debian.org>
-Uploaders: Holger Levsen <holger@debian.org>
 Build-Depends: debhelper (>= 7), dh-buildinfo,
  perl (>= 5.14),
  python3 (>= 3.2), python3-apt
