=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+version = $(word 2,$(shell dpkg-parsechangelog | grep ^Version:))
 
 .PHONY: clean
 clean: doc/Makefile tests/Makefile
@@ -13,7 +15,7 @@
 debian/build-stamp: doc/Makefile adequate
 	$(MAKE) -B -C doc/
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
-	./adequate coreutils 2>&1 | ( ! grep . )
+	adt_adequate=./adequate adt_testpkg=coreutils debian/tests/smoke-test
 endif
 	touch $(@)
 
@@ -25,10 +27,14 @@
 	dh_prep
 	dh_installdirs
 	dh_install
+	sed -i \
+		-r -e 's/^(our \$$VERSION) =.*/\1 = "$(version)";/' \
+		debian/*/usr/bin/*
 	dh_installman doc/*.1
 	dh_perl
 	dh_installdocs
 	dh_installchangelogs
+	dh_buildinfo
 	dh_compress
 	dh_fixperms
 	dh_installdeb
