## adequate 0.15~bpo8+1

=== debian/changelog ===
adequate (0.15~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 15 Oct 2015 23:59:22 +0200

adequate (0.15) unstable; urgency=low

  * Add license information for the Ghostscript library (closes: #795566).
    Thanks to Didier Raboud for the bug report.
  * Add license information for the jbig2dec library.
  * Recognize AGPL-3 in machine-readable copyright files.
  * Add license information for libpoppler.so.46 and libpoppler.so.47.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 26 Aug 2015 11:07:21 +0200

adequate (0.14) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - ldd-failure

  * Run ldd on each file separately.
  * Don't abort when “ldd -r” fails, but emit ldd-failure instead
    (closes: #762615).

 -- Jakub Wilk <jwilk@debian.org>  Wed, 15 Jul 2015 15:59:36 +0200

adequate (0.13.3) unstable; urgency=low

  * Require pkg-config 0.27 or later in the test suite. In older versions,
    --exists didn't check dependencies.
  * Add pkg-config to Recommends (closes: #787169).
    Thanks to Micah Gersten for the bug report.
  * Exclude VCS-specific files from the source package in
    debian/source/options.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 31 May 2015 18:37:54 +0200

adequate (0.13.2) unstable; urgency=low

  * Drop “XS-Testsuite: autopkgtest”.
  * Add pkg-config to the DEP-8 test Depends (closes: #787043).
    Thanks to Micah Gersten for the bug report.

 -- Jakub Wilk <jwilk@debian.org>  Thu, 28 May 2015 10:42:14 +0200

adequate (0.13.1) unstable; urgency=low

  * Update the package description.
  * Don't emit program-name-collision when one programs symlinks to the
    other.
  * Bump standards version to 3.9.6 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 10 May 2015 20:15:51 +0200

adequate (0.13) unstable; urgency=low

  * Summary of tag changes:
    + Added:
      - missing-pkgconfig-dependency

  * Check for missing pkg-config dependencies (closes: #781037).
    Thanks to Niels Thykier for the bug report.
  * Fix false positive program-name-collision in debianutils
    (closes: #784068).
  * Improve error handling.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 27 Apr 2015 19:17:57 +0200
