## adequate 0.15

=== doc/Makefile ===
--- 
+++ 
@@ -17,4 +17,4 @@
 clean:
 	rm -f adequate.pod *.1 *.tmp
 
-# vim:ts=4 sw=4 noet
+# vim:ts=4 sts=4 sw=4 noet
