## adequate 0.15.1~bpo8+1

=== debian/changelog ===
adequate (0.15.1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 01 Mar 2016 12:30:11 +0100

adequate (0.15.1) unstable; urgency=low

  * Fix false positive program-name-collision in less.
  * Use date of last modification in the manual page footer.
    This should help to make the package builds reproducible.
  * Fix typo in a tag description.
  * Add license information for libpoppler.so.57.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 12 Jan 2016 15:34:17 +0100
